Subject: Re: bug#21315: 25.0.50; doc of `kill-ring-save', `copy-region-as-kill' - bad
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 07 Dec 2015 18:23:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sun, 6 Dec 2015 08:54:44 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > say this:
> >   The optional argument REGION non-nil means to ignore BEG and END and
> >   copy the region instead.
> 
> Yes.
> 
> (But I think we usually phrase that as: "Non-nil optional argument
> REGION means...".)
> 
> > Also, we should tell that this distinction is only relevant to
> > invoking these functions from Lisp programs, not interactively.
> 
> Yes.
> 
>   From Lisp, non-nil optional argument REGION means...
> 
> > As for the argument, AFAICT it makes no difference in interactive
> > usage.
> 
> Yes, it is always non-nil interactively: `prefix-numeric-value'
> never returns nil.
> 
> > Does documenting the above clarify the issue?
> 
> Yes, I think so.  Thx.

Thanks, I made all the changes.  I also added a reference to
filter-buffer-substring in these doc strings, something that should
have been done almost 11 years ago.  The ELisp manual is also updated.